Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class PropertyBundleDefinition

    java.lang.Object
      oracle.ifs.beans.LibraryObjectDefinition
          oracle.ifs.beans.PublicObjectDefinition
              oracle.ifs.beans.ApplicationObjectDefinition
                  oracle.ifs.beans.PropertyBundleDefinition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  DefinitionObjectDefinition, PolicyPropertyBundleDefinition, PrinterDefinition, ServerConfigurationDefinition, ServiceConfigurationDefinition, ValueDefaultPropertyBundleDefinition, ValueDomainPropertyBundleDefinition

    public class PropertyBundleDefinition

extends ApplicationObjectDefinition

A `PropertyBundleDefinition` class is used to create or update a PropertyBundle.

Most of the specifications can be set using the setAttribute() method inherited from LibraryObjectDefinition. Only the methods used to add Property objects to the new or updated PropertyBundle require methods specific to this class.

See Also:
  `LibraryObjectDefinition`, `PropertyBundle`, `PropertyDefinition`, Serialized Form
(Published)

Field Summary

Fields inherited from class oracle.ifs.beans.LibraryObjectDefinition
`m_Attributes, m_ClassObjectName, m_ClassObjectValue, m_ContentSpecifications, m_DefinitionLists, m_Definitions, m_EnclosedDefinition, m_Id, m_Options, m_ReadOnly, m_ReferenceAttributes, m_Session, m_SystemOptions`

Constructor Summary
`PropertyBundleDefinition(LibrarySessionInterface session)` Construct a definition explicitly capturing the session.
`PropertyBundleDefinition(LibrarySessionInterface session, java.lang.String className)` Construct a definition, explicitly capturing the session and setting the initial classobject.

Method Summary
`void` | `addPropertyDefinition(PropertyDefinition def)` Adds a Property definition to the this instance.
`void` | `addPropertyDefinitions(PropertyDefinition[] defs)` Adds a set of new Property definitions.
`void` | `addPropertyValue(AttributeValue av)` Adds a Property Value to the new PropertyBundle.
`void` | `addPropertyValue(java.lang.String name, AttributeValue av)` Adds a Property Value to the new PropertyBundle.
`PropertyDefinition[]` | `getPropertyDefinitions()` Gets all PropertyDefinition in the PropertyBundleDefinition.
`void` | `removePropertyDefinitions()` Removes all Property definition specifications from this instance.
`void` | `setPropertyDefinitions(PropertyDefinition[] defs)` Sets an explicit set of PropertyDefinitions.
`PropertyBundleDefinition` | `toPropertyBundleDefinition(LibrarySession session, java.util.Map map)` Creates a PropertyBundleDefinition from a Map.

Methods inherited from class oracle.ifs.beans.PublicObjectDefinition
`addCategoryDefinition, addCategoryDefinitions, getAddToFolderOption, getAddToFolderValue, getAutoFolderingActionSpecification, getCascadeCopyRelationshipsOption, getCascadeCopyRelationshipsOptionValue, getCategoryCopyOption, getCategoryDefinitions, getContentQuotaCopyOption, getCreateCategoriesServerSideOption, getExplicitCreateAndModifyAttributesOption, getExplicitCreateDate, getExplicitLastModifyDate, getFreeIfLastFolderReferenceOption, getKeepLastModifierOption, getKeepLastModifyDateOption, getLockEntryDefinition, getLockObject, getLockObjectDefinition, getLockObjectValue, getSecuringPublicObject, getSecuringPublicObjectValue, getUpdatedLockObjectDefinition, removeCategoryDefinitions, removeLockEntryDefinition, setAddToFolderOption, setAddToFolderValue, setAutoFolderingActionSpecification, setAutoFolderingActionSpecification, setCascadeCopyRelationshipsOption, setCategoryCopyOption, setCategoryDefinitions, setContentQuotaCopyOption, setCreateCategoriesServerSideOption, setExplicitCreateAndModifyAttributesOption, setExplicitCreateDate, setExplicitLastModifyDate, setFreeIfLastFolderReferenceOption, setKeepLastModifierOption, setKeepLastModifyDateOption, setLockEntryDefinition, setLockObject, setLockObjectDefinition, setLockObjectValue, setNullSecurity, setPrivateSecurity, setSecuringPublicObject, setSecuringPublicObjectValue, setUpdatedLockObjectDefinition, toPublicObjectDefinition, toPublicObjectDefinition`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`addDefinition, addDefinitions, addProperty, captureSession, captureSession, captureSession, clone, constructInstance, constructInstance, copyInto, getAttribute, getAttribute, getAttributes, getAttributes, getAttributesSorted, getClassId, getClassObject, getClassObjectValue, getContentSpecification, getContentSpecificationKeys, getCopiedObjectValue, getDefinition, getDefinitionClassName, getDefinitionKeys, getDefinitionListKeys, getDefinitions, getId, getLibrarySession, getName, getOption, getOptionAsAttributeValue, getOptionKeys, getPolicyMode, getReferenceAttribute, getReferenceAttributes, getServerDefinition, getSession, getSLibrarySession, getStringAttribute, getSystemOption, getSystemOptionAsAttributeValue, getSystemOptionAsBoolean, getSystemOptionKeys, getWriteableInstance, isReadOnly, prepareForDefinitionObject, removeAttribute, removeContentSpecification, removeDefinition, removeDefinitions, removeOption, removeReferenceAttribute, removeSystemOption, reset, resolve, setAttribute, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributeByUpperCaseName, setAttributePolicyMode, setAttributes, setClassId, setClassname, setClassObject, setClassObjectValue, setContentSpecification, setCopiedObjectValue, setDefinition, setDefinitions, setId, setName, setOption, setReadOnly, setReferenceAttribute, setReferenceAttribute, setSession, setSystemOption, unresolve, verifySession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyBundleDefinition

    public PropertyBundleDefinition(LibrarySessionInterface session)
                             throws IfsException

  Construct a definition explicitly capturing the session. The initial ClassObject will be PropertyBundle.

  Parameters:
    `session` - the current session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### PropertyBundleDefinition

    public PropertyBundleDefinition(LibrarySessionInterface session,
                                    java.lang.String className)
                             throws IfsException

  Construct a definition, explicitly capturing the session and setting the initial classobject.

  Parameters:
    `session` - the current session
    `className` - the initial class name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### addPropertyValue

    public void addPropertyValue(AttributeValue av)
                          throws IfsException

  Description copied from class: `PropertyBundleDefinition`
  Adds a Property Value to the new PropertyBundle.

  This results in the creation of a PropertyDefinition, which gets added to the list of Properties to create.

  Equivalent to:

           PropertyDefinition pdef = new PropertyDefinition(session);
           pdef.setValue(av);
           addPropertyDefinition(pdef);

  Parameters:
    `av` - the AttributeValue representing the Property value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addPropertyValue

    public void addPropertyValue(java.lang.String name,
                                 AttributeValue av)
                          throws IfsException

  Description copied from class: `PropertyBundleDefinition`
  Adds a Property Value to the new PropertyBundle.

  This results in the creation of a PropertyDefinition, which gets added to the list of Properties to create.

  Equivalent to:

           PropertyDefinition pdef = new PropertyDefinition(session);
           pdef.setValue(av);
           pdef.setName(name);
           addPropertyDefinition(pdef);

  Parameters:
    `name` - the Property name
    `av` - the Property value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addPropertyDefinition

    public final void addPropertyDefinition(PropertyDefinition def)
                                     throws IfsException

  Description copied from class: `PropertyBundleDefinition`
  Adds a Property definition to the this instance.

  Overrides:
    `addPropertyDefinition` in class `LibraryObjectDefinition`
  Parameters:
    `def` - the PropertyDefinition of the new Property
  Throws:
    `IfsException` - if the operation fails
  (Published)

### addPropertyDefinitions

    public void addPropertyDefinitions(PropertyDefinition[] defs)
                                throws IfsException

  Description copied from class: `PropertyBundleDefinition`
  Adds a set of new Property definitions. All specified PropertyDefinitions will be added to the current set of definitions held by this instance.

  Overrides:
    `addPropertyDefinitions` in class `LibraryObjectDefinition`
  Parameters:
    `defs` - the Property definitions to be added for this instance
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setPropertyDefinitions

    public void setPropertyDefinitions(PropertyDefinition[] defs)
                                throws IfsException

  Description copied from class: `PropertyBundleDefinition`
  Sets an explicit set of PropertyDefinitions. This will discard any previous settings specified via addPropertyDefinition() or setPropertyDefinitions(). If a null or empty array is specified, this instance will then contain zero definitions.

  Parameters:
    `defs` - the new set of PropertyDefinitions
  Throws:
    `IfsException` - if the operation fails
  (Published)

### removePropertyDefinitions

    public void removePropertyDefinitions()
                                   throws IfsException

  Description copied from class: `PropertyBundleDefinition`
  Removes all Property definition specifications from this instance.

  Overrides:
    `removePropertyDefinitions` in class `LibraryObjectDefinition`
  Throws:
    `IfsException`
  (Unpublished)

### getPropertyDefinitions

    public PropertyDefinition[] getPropertyDefinitions()
                                                throws IfsException

  Description copied from class: `PropertyBundleDefinition`
  Gets all PropertyDefinition in the PropertyBundleDefinition.

  Overrides:
    `getPropertyDefinitions` in class `LibraryObjectDefinition`
  Returns:
    array of PropertyDefinition
  Throws:
    `IfsException` - if the operation fails
  (Published)

### toPropertyBundleDefinition

    public PropertyBundleDefinition toPropertyBundleDefinition(LibrarySession session,
                                                               java.util.Map map)
                                                        throws IfsException

  Description copied from class: `PropertyBundleDefinition`
  Creates a PropertyBundleDefinition from a Map.

  Parameters:
    `map` - the Map to convert; the key is the property name and the value is anything that can be used in `AttributeValue.newAttributeValue`
  Returns:
    a PropertyBundleDefinition[]; null if a null Map is specified, empty if an empty Map is specified
  Throws:
    `IfsException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD